Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1502200 - Review Request: ghc-hxt - A collection of tools for processing XML with Haskell
Summary: Review Request: ghc-hxt - A collection of tools for processing XML with Haskell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1491632 1498400 1498410
Blocks: 1511911
TreeView+ depends on / blocked
 
Reported: 2017-10-15 07:13 UTC by Jens Petersen
Modified: 2017-12-12 11:16 UTC (History)
3 users (show)

Fixed In Version: ghc-hxt-9.3.1.16-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:16:07 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2017-10-15 07:13:44 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-hxt.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-hxt-9.3.1.16-1.fc26.src.rpm

Description:
The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but introduces a
more general approach for processing XML with Haskell. The Haskell XML Toolbox
uses a generic data model for representing XML documents, including the DTD
subset and the document subset, in Haskell. It contains a validating XML
parser, a HTML parser, namespace support, an XPath expression evaluator, an
XSLT library, a RelaxNG schema validator and funtions for serialization and
deserialization of user defined data. The library makes extensive use of the
arrow approach for processing XML. Since version 9 the toolbox is partitioned
into various (sub-)packages. This package contains the core functionality,
hxt-curl, hxt-tagsoup, hxt-relaxng, hxt-xpath, hxt-xslt, hxt-regex-xmlschema
contain the extensions. hxt-unicode contains encoding and decoding functions,
hxt-charproperties char properties for unicode and XML.

Comment 1 Jens Petersen 2017-10-15 07:17:12 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=22452288

Comment 2 Jens Petersen 2017-10-15 07:18:06 UTC
Needed for skylighting for current pandoc

Comment 3 Robert-André Mauchin 2017-10-15 13:24:59 UTC
You should split the doc in a subpackage:

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 4659200 bytes in 256 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

Comment 4 Jens Petersen 2017-10-27 07:46:08 UTC
I appreciate > 4MB is significant - on the other hand
the devel package footprint is about 55MB, so it is not that bad.

I prefer not to subpackage haddocks in Fedora for now
until we have good process in place to handle that.
Another alternative could even be not to ship them
though I think they are nice to have for offline usage.

Comment 5 Jens Petersen 2017-10-27 07:55:40 UTC
Well the right thing to do first is probably Provide: ghc-*-doc
in all devel packages and then BR: ghc-*-doc in addition to
ghc-*-devel deps. Then we can consider moving them to
a separate package more easily.

See also bug 1149850

Comment 6 Jens Petersen 2017-10-27 07:58:26 UTC
The other downside to introducing this is we basically have to fork
all the spec one time, since backporting this to current releases
will be too much work, but okay it is just a one-time thing so
I guess we can live with it. Anyway should this discussion to
that bug or upstream...

Comment 7 Robert-André Mauchin 2017-10-28 15:25:37 UTC
> Well the right thing to do first is probably Provide: ghc-*-doc
in all devel packages and then BR: ghc-*-doc in addition to
ghc-*-devel deps. Then we can consider moving them to
a separate package more easily.

I don't understand why you are complicating this matter, why do you want to apply it to *all* ghc packages? It just applies to ones with large doc, no need to add a BR either, the user will choose to install the doc subpackage or not.

Comment 8 Jens Petersen 2017-11-02 03:28:58 UTC
(In reply to Robert-André Mauchin from comment #7)
> I don't understand why you are complicating this matter, why do you want to
> apply it to *all* ghc packages? It just applies to ones with large doc, no
> need to add a BR either, the user will choose to install the doc subpackage
> or not.

Because it affects cross-referencing in haddock documentation.
If the docs for deps are missing then it affects the haddock generation.
AFAIK anyway.

Comment 9 Robert-André Mauchin 2017-11-02 15:15:29 UTC
O then keep the docs in the main package.

Comment 10 Jens Petersen 2017-11-03 09:38:34 UTC
Okay, thanks for the review!

Let's revisit the docs subpackaging again later.
For F28 I want to at least add Provides.

Comment 12 Gwyn Ciesla 2017-11-06 14:45:53 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-hxt. You may commit to the branch "f27" in about 10 minutes.

Comment 13 Jens Petersen 2017-11-07 03:36:40 UTC
Koji won't let me build for f28 yet.

Comment 14 Fedora Update System 2017-11-18 00:54:36 UTC
ghc-hxt-9.3.1.16-1.fc27, ghc-skylighting-0.1.1.5-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f062f93498

Comment 15 Fedora Update System 2017-12-12 11:16:07 UTC
ghc-hxt-9.3.1.16-1.fc27, ghc-skylighting-0.1.1.5-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.